Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.realmstat
Class RealmLoadBalance

    java.lang.Object
      com.rsa.authagent.authapi.realmstat.RealmLoadBalance

    public class RealmLoadBalance

extends java.lang.Object

Constructor Summary
`RealmLoadBalance(DataDirectory dataDirectory)`

Method Summary
`RealmStatus` | `getRealmStatus()`
`AcmServerInfo` | `getServerIp(AceRequest request, ServerExchange serverExchange)` return a new available server
`void` | `process(AceResponse aceResponse, AcmServerInfo server, long processedTime)` Process response for the load balancing purpose
`void` | `processReceivedTimeOut(boolean downgrade, AcmServerInfo server)` /** Should be called when the server timeout to allow LoadBalancing to take appropriate action.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmLoadBalance

    public RealmLoadBalance(DataDirectory dataDirectory)

Method Detail

### getServerIp

    public AcmServerInfo getServerIp(AceRequest request,
                                     ServerExchange serverExchange)
                              throws AceException

  return a new available server

  Returns:
  Throws:
    `AceException`

### processReceivedTimeOut

    public void processReceivedTimeOut(boolean downgrade,
                                       AcmServerInfo server)

  /** Should be called when the server timeout to allow LoadBalancing to take appropriate action.

  Parameters:
    `downgrade.` - Indicate if we are in a downgrade situation

### process

    public void process(AceResponse aceResponse,
                        AcmServerInfo server,
                        long processedTime)

  Process response for the load balancing purpose

  Parameters:
    `aceResponse` -

### getRealmStatus

    public RealmStatus getRealmStatus()

  Returns:
    Returns the realmStatus.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.